package com.liquidnet.common.third.zxlnft.dto.nft;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: UserQueryVerifyCodeReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:28
 */
@Data
public class Nft011UserQueryVerifyCodeResp implements Serializable {
    private static final Nft011UserQueryVerifyCodeResp obj = new Nft011UserQueryVerifyCodeResp();
    public static Nft011UserQueryVerifyCodeResp getNew() {
        try {
            return (Nft011UserQueryVerifyCodeResp) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft011UserQueryVerifyCodeResp();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
